Get Bookmakers
curl --request GET \
--url https://api.apexiumbet.com/v1/en/bookmakers \
--header 'x-api-key: <api-key>'import requests
url = "https://api.apexiumbet.com/v1/en/bookmakers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.apexiumbet.com/v1/en/bookmakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apexiumbet.com/v1/en/bookmakers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.apexiumbet.com/v1/en/bookmakers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.apexiumbet.com/v1/en/bookmakers")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apexiumbet.com/v1/en/bookmakers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"slug": "188bet",
"bookmakerName": "188BET",
"active": true,
"domain": "https://188bet.com",
"serverGroup": "at4",
"price": 10,
"websocketPregame": true,
"websocketLive": false,
"maxDelayPregameInSec": 80,
"maxDelayPregameMainInSec": 60,
"availableCountries": [
"ag",
"al",
"am",
"ar",
"at"
]
},
{
"slug": "1xbet",
"bookmakerName": "1xBet",
"active": true,
"domain": "https://1xbet.com",
"serverGroup": "de4",
"price": 10,
"websocketPregame": true,
"websocketLive": true,
"maxDelayPregameInSec": 30,
"maxDelayLiveInSec": 4,
"maxDelayPregameMainInSec": 6,
"availableCountries": [
"bo",
"kr",
"tn",
"in"
]
}
]Reference data
Get Bookmakers
OddsPapi GET /{lang}/bookmakers, returned unchanged. The reference shows en; see Languages for the others.
List bookmakers.
Returns the bookmaker catalog available to the provided apiKey.
Lookup mode: bookmakers (optional filter list) + playerProps (optional capability filter).
Odds are limited to your account’s bookmakers: without bookmakers, you get all of them; asking for another one answers 403 BOOKMAKER_NOT_AVAILABLE.
GET
/
v1
/
en
/
bookmakers
Get Bookmakers
curl --request GET \
--url https://api.apexiumbet.com/v1/en/bookmakers \
--header 'x-api-key: <api-key>'import requests
url = "https://api.apexiumbet.com/v1/en/bookmakers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.apexiumbet.com/v1/en/bookmakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apexiumbet.com/v1/en/bookmakers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.apexiumbet.com/v1/en/bookmakers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.apexiumbet.com/v1/en/bookmakers")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apexiumbet.com/v1/en/bookmakers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"slug": "188bet",
"bookmakerName": "188BET",
"active": true,
"domain": "https://188bet.com",
"serverGroup": "at4",
"price": 10,
"websocketPregame": true,
"websocketLive": false,
"maxDelayPregameInSec": 80,
"maxDelayPregameMainInSec": 60,
"availableCountries": [
"ag",
"al",
"am",
"ar",
"at"
]
},
{
"slug": "1xbet",
"bookmakerName": "1xBet",
"active": true,
"domain": "https://1xbet.com",
"serverGroup": "de4",
"price": 10,
"websocketPregame": true,
"websocketLive": true,
"maxDelayPregameInSec": 30,
"maxDelayLiveInSec": 4,
"maxDelayPregameMainInSec": 6,
"availableCountries": [
"bo",
"kr",
"tn",
"in"
]
}
]Query Parameters
Response
Returns Bookmaker[]